<template>
    <v-layout row justify-space-between>
        <v-flex xs6
                style="border-right:1px solid #BDBDBD;height:200px;">
            <div class="salesSummaryTopContainer">
                <span class="summaryMessageText"
                    style="margin-left:30px;margin-top:35px;">
                    Total sales
                </span>
                <span class="summaryValue"
                    style="margin-left:30px;margin-top:45px;">
                    {{totalSales}}
                </span>
            </div>
            <div class="salesSummaryTopContainer"
                style="border-bottom:none;">
                <span class="summaryMessageText"
                    style="margin-top:25px;margin-left:30px;">
                    Total profit
                </span>
                <span class="summaryValue"
                    style="color:#3bbcd4;margin-top:35px;margin-left:30px;">
                    {{totalSales - totalCost}}
                </span>
            </div>
        </v-flex>
        <v-flex xs6>
            <div class="salesSummaryTopContainer">
                <span class="summaryMessageText"
                    style="margin-left:30px;margin-top:35px;">
                    Total cost
                </span>
                <span class="summaryValue"
                    style="margin-left:30px;margin-top:45px;">
                    {{totalCost}}
                </span>
            </div>
            <div class="salesSummaryTopContainer"
                style="border-bottom:none;">
                <span class="summaryMessageText"
                    style="margin-top:25px;margin-left:30px;">
                    Profit %
                </span>
                <span class="summaryValue"
                    style="color:#3bbcd4;margin-top:35px;margin-left:30px;">
                    {{Math.round((totalCost * 100)/totalSales)}}%
                </span>
            </div>
        </v-flex>
    </v-layout>
</template>
<script>
export default {
  name: 'SalesSummary',
  computed: {
    totalSales () {
      let tableSalesData = this.$store.state.reportModule.salesReportData
      let totalSales = 0
      tableSalesData.forEach(element => {
        totalSales = totalSales + element.salesPrice
      })
      return totalSales
    },
    totalCost () {
      let tableSalesData = this.$store.state.reportModule.salesReportData
      let totalCost = 0
      tableSalesData.forEach(element => {
        totalCost = totalCost + element.expectedPrice
      })
      return totalCost
    },
    gridResponsiveness () {
      const gridResponsiveness = {}
      if (this.$vuetify.breakpoint.sm || this.$vuetify.breakpoint.xs) gridResponsiveness.column = true
      return gridResponsiveness
    }
  }
}
</script>
